"use strict";

exports.__esModule = true;
exports.workspaceSymbol = exports.windowSymbol = exports.skeletonSymbol = exports.skeletonItemSymbol = exports.simulatorHostSymbol = exports.settingTopEntrySymbol = exports.settingFieldSymbol = exports.selectionSymbol = exports.resourceTypeSymbol = exports.resourceSymbol = exports.propsSymbol = exports.propSymbol = exports.projectSymbol = exports.pluginsSymbol = exports.pluginInstanceSymbol = exports.pluginContextSymbol = exports.nodeSymbol = exports.nodeChildrenSymbol = exports.modalNodesManagerSymbol = exports.locateEventSymbol = exports.hotkeySymbol = exports.historySymbol = exports.editorViewSymbol = exports.editorSymbol = exports.dropLocationSymbol = exports.dragonSymbol = exports.dragObjectSymbol = exports.documentSymbol = exports.detectingSymbol = exports.designerSymbol = exports.designerCabinSymbol = exports.configSymbol = exports.conditionGroupSymbol = exports.componentMetaSymbol = exports.clipboardSymbol = exports.canvasSymbol = void 0;
/**
 * 以下 symbol 均用于在 shell 层对外暴露的模型中存储相应内部模型的 key
 */
var projectSymbol = Symbol('project');
exports.projectSymbol = projectSymbol;
var designerSymbol = Symbol('designer');
exports.designerSymbol = designerSymbol;
var skeletonSymbol = Symbol('skeleton');
exports.skeletonSymbol = skeletonSymbol;
var documentSymbol = Symbol('document');
exports.documentSymbol = documentSymbol;
var editorSymbol = Symbol('editor');
exports.editorSymbol = editorSymbol;
var nodeSymbol = Symbol('node');
exports.nodeSymbol = nodeSymbol;
var modalNodesManagerSymbol = Symbol('modalNodesManager');
exports.modalNodesManagerSymbol = modalNodesManagerSymbol;
var nodeChildrenSymbol = Symbol('nodeChildren');
exports.nodeChildrenSymbol = nodeChildrenSymbol;
var propSymbol = Symbol('prop');
exports.propSymbol = propSymbol;
var settingFieldSymbol = Symbol('settingField');
exports.settingFieldSymbol = settingFieldSymbol;
var settingTopEntrySymbol = Symbol('settingTopEntry');
exports.settingTopEntrySymbol = settingTopEntrySymbol;
var propsSymbol = Symbol('props');
exports.propsSymbol = propsSymbol;
var detectingSymbol = Symbol('detecting');
exports.detectingSymbol = detectingSymbol;
var selectionSymbol = Symbol('selection');
exports.selectionSymbol = selectionSymbol;
var historySymbol = Symbol('history');
exports.historySymbol = historySymbol;
var canvasSymbol = Symbol('canvas');
exports.canvasSymbol = canvasSymbol;
var dragonSymbol = Symbol('dragon');
exports.dragonSymbol = dragonSymbol;
var componentMetaSymbol = Symbol('componentMeta');
exports.componentMetaSymbol = componentMetaSymbol;
var dropLocationSymbol = Symbol('dropLocation');
exports.dropLocationSymbol = dropLocationSymbol;
var simulatorHostSymbol = Symbol('simulatorHost');
exports.simulatorHostSymbol = simulatorHostSymbol;
var dragObjectSymbol = Symbol('dragObject');
exports.dragObjectSymbol = dragObjectSymbol;
var locateEventSymbol = Symbol('locateEvent');
exports.locateEventSymbol = locateEventSymbol;
var designerCabinSymbol = Symbol('designerCabin');
exports.designerCabinSymbol = designerCabinSymbol;
var hotkeySymbol = Symbol('hotkey');
exports.hotkeySymbol = hotkeySymbol;
var pluginsSymbol = Symbol('plugins');
exports.pluginsSymbol = pluginsSymbol;
var workspaceSymbol = Symbol('workspace');
exports.workspaceSymbol = workspaceSymbol;
var windowSymbol = Symbol('window');
exports.windowSymbol = windowSymbol;
var pluginInstanceSymbol = Symbol('plugin-instance');
exports.pluginInstanceSymbol = pluginInstanceSymbol;
var resourceTypeSymbol = Symbol('resourceType');
exports.resourceTypeSymbol = resourceTypeSymbol;
var resourceSymbol = Symbol('resource');
exports.resourceSymbol = resourceSymbol;
var clipboardSymbol = Symbol('clipboard');
exports.clipboardSymbol = clipboardSymbol;
var configSymbol = Symbol('configSymbol');
exports.configSymbol = configSymbol;
var conditionGroupSymbol = Symbol('conditionGroup');
exports.conditionGroupSymbol = conditionGroupSymbol;
var editorViewSymbol = Symbol('editorView');
exports.editorViewSymbol = editorViewSymbol;
var pluginContextSymbol = Symbol('pluginContext');
exports.pluginContextSymbol = pluginContextSymbol;
var skeletonItemSymbol = Symbol('skeletonItem');
exports.skeletonItemSymbol = skeletonItemSymbol;